Get a team by ID
curl --request GET \
--url https://rest.forestreet.com/v2/teams/{teamId} \
--header 'x-api-key: <api-key>'import requests
url = "https://rest.forestreet.com/v2/teams/{teamId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.forestreet.com/v2/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"domain": "<string>",
"adminId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filePath": "<string>",
"explorerPermissions": {
"table": true,
"bubble": true,
"events": true,
"feature-fit": true
},
"accessExpired": 123,
"maxUsers": 123,
"isDemo": 123,
"theme": "<string>",
"teamQuotas": {
"startDiscovery": 123,
"createSupplierDossier": 123
},
"featurePermissions": {},
"isDefault": 123
}{
"success": false,
"errorCode": "UNAUTHORISED",
"message": "Unauthorized - User not authenticated"
}{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have access to this team"
}{
"success": false,
"errorCode": "NOT_FOUND",
"message": "Team not found"
}Team Management
Get a team by ID
Fetch the details of a specific team by its ID.
GET
/
v2
/
teams
/
{teamId}
Get a team by ID
Authorizations
apiKeyAuthbearerAuthsessionIdQuery
Pass a static API key for every request, provided by your customer support.
Path Parameters
ID of the team whose collections are being retrieved.
Required range:
x > 0Response
Get team response
Unique identifier of the team.
Name of the team.
Domain of the team.
Admin ID of the team.
File path for the team.
Permission settings for explorer features.
Show child attributes
Show child attributes
Access expiration status.
Maximum number of users allowed.
Demo status of the team.
Theme settings for the team.
Quota information for a team.
Show child attributes
Show child attributes
Feature permissions for the team (boolean map).
Show child attributes
Show child attributes
Default state of the team.